apply Notification "notify_host-notification" to Host {
    import "host-notification"
    interval = 30m

    times = {
        begin = 0m
    }

    period = host.vars.period

    assign where host.vars.notification.sms == true
}

apply Notification "notify_service-notification" to Service {
    import "service-notification"
    interval = 30m

    times = {
        begin = 0m
    }

    period = host.vars.period

    assign where service.vars.notification.sms == true
    ignore where host.vars.notification.sms == false
}

apply Notification "notify_service-notification-mail" to Service {
    import "service-notification"
    interval = 0

    period = host.vars.period

    assign where service.vars.notification.mail == true
    ignore where service.vars.notification.sms == true
    ignore where host.vars.notification.mail == false
}
